Track

Gets detailed information about a SoundCloud track/song by ID.

1 creditper request
GET
/v1/soundcloud/track
curl "https://api.scrapecreators.com/v1/soundcloud/track" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997863208,
  "artwork_url": "https://i1.sndcdn.com/artworks-RCKR3Fvp7iD1-0-large.jpg",
  "caption": null,
  "commentable": true,
  "comment_count": 19,
  "created_at": "2026-04-22T00:39:25Z",
  "description": null,
  "downloadable": false,
  "download_count": 0,
  "duration": 179351,
  "full_duration": 179305,
  "embeddable_by": "all",
  "genre": "R&B",
  "has_downloads_left": false,
  "id": 2306956232,
  "kind": "track",
  "label_name": "TSNMI / Atlantic",
  "last_modified": "2026-05-12T16:04:50Z",
  "license": "all-rights-reserved",
  "likes_count": 1365,
  "permalink": "lights-on-feat-big-sean",
  "permalink_url": "https://soundcloud.com/kehlanimusic/lights-on-feat-big-sean",
  "playback_count": 28693,
  "public": true,
  "publisher_metadata": {
    "id": 2306956232,
    "urn": "soundcloud:tracks:2306956232",
    "artist": "Kehlani",
    "album_title": "Kehlani",
    "contains_music": true,
    "upc_or_ean": "075679576071",
    "isrc": "USAT22601414",
    "explicit": true,
    "p_line": "℗ 2026 Atlantic Records Group LLC",
    "p_line_for_display": "℗ 2026 Atlantic Records Group LLC",
    "c_line": "© 2026 Atlantic Records Group LLC",
    "c_line_for_display": "© 2026 Atlantic Records Group LLC",
    "release_title": "Lights On (feat. Big Sean)"
  },
  "purchase_title": null,
  "purchase_url": null,
  "release_date": "2026-04-23T00:00:00Z",
  "reposts_count": 26,
  "secret_token": null,
  "sharing": "public",
  "state": "finished",
  "streamable": true,
  "tag_list": "",
  "title": "Lights On (feat. Big Sean)",
  "uri": "https://api.soundcloud.com/tracks/soundcloud%3Atracks%3A2306956232",
  "urn": "soundcloud:tracks:2306956232",
  "user_id": 51562330,
  "visuals": null,
  "waveform_url": "https://wave.sndcdn.com/Ht1YwfedlhaJ_m.json",
  "display_date": "2026-04-24T04:00:00Z",
  "media": {
    "transcodings": [
      {
        "url": "https://api-v2.soundcloud.com/media/soundcloud:tracks:2306956232/647fe3ae-d331-425e-86fa-7c72b98e56f7/stream/cbc-encrypted-hls",
        "preset": "aac_160k",
        "duration": 179351,
        "snipped": false,
        "format": {
          "protocol": "cbc-encrypted-hls",
          "mime_type": "audio/mp4; codecs="mp4a.40.2""
        },
        "quality": "sq",
        "is_legacy_transcoding": false
      },
      {
        "url": "https://api-v2.soundcloud.com/media/soundcloud:tracks:2306956232/647fe3ae-d331-425e-86fa-7c72b98e56f7/stream/ctr-encrypted-hls",
        "preset": "aac_160k",
        "duration": 179351,
        "snipped": false,
        "format": {
          "protocol": "ctr-encrypted-hls",
          "mime_type": "audio/mp4; codecs="mp4a.40.2""
        },
        "quality": "sq",
        "is_legacy_transcoding": false
      }
    ]
  },
  "station_urn": "soundcloud:system-playlists:track-stations:2306956232",
  "station_permalink": "track-stations:2306956232",
  "track_authorization": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJnZW8iOiJVUyIsInN1YiI6IiIsInJpZCI6Ijg1MDA3ODQyLTNiZjAtNGZhMC05MTI2LTU2MWRhNDQ0NjM2OCIsImlhdCI6MTc3ODc4NTMwMH0.2Kmr2C3p_1LcmPVD0MqutZ_5-D_PQYcC08z4Yd_mcbw",
  "monetization_model": "AD_SUPPORTED",
  "policy": "MONETIZE",
  "user": {
    "avatar_url": "https://i1.sndcdn.com/avatars-4pU1zic9ZyyDdF4G-dF6LHA-large.jpg",
    "first_name": "",
    "followers_count": 842155,
    "full_name": "",
    "id": 51562330,
    "kind": "user",
    "last_modified": "2025-06-12T20:52:01Z",
    "last_name": "",
    "permalink": "kehlanimusic",
    "permalink_url": "https://soundcloud.com/kehlanimusic",
    "uri": "https://api.soundcloud.com/users/soundcloud%3Ausers%3A51562330",
    "urn": "soundcloud:users:51562330",
    "username": "Kehlani",
    "verified": true,
    "city": "Oakland, CA",
    "country_code": "US",
    "badges": {
      "pro": false,
      "creator_mid_tier": false,
      "pro_unlimited": true,
      "verified": true
    },
    "station_urn": "soundcloud:system-playlists:artist-stations:51562330",
    "station_permalink": "artist-stations:51562330"
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

id
number
required

SoundCloud track ID.

Example:
2306956232